Bug 1265221 - Web-UI: Tenants - Unable to edit the Name field
Web-UI: Tenants - Unable to edit the Name field
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 08:17 EDT by Ramesh A
Modified: 2015-12-08 08:32 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:32:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changing the name (76.64 KB, image/png)
2015-09-22 08:17 EDT, Ramesh A
no flags Details
After changing the Name (107.55 KB, image/png)
2015-09-22 08:18 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-09-22 08:17:32 EDT
Created attachment 1075798 [details]
Changing the name

Description of problem:
Unable to edit the Name field

Version-Release number of selected component (if applicable):
5.5.0.1-alpha1.20150915151429_2230bd4

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Configure ==> Configuration ==> Access Control ==> CFME Region: Region 0 [0]==> Tenants==> My Company==> Configuration==> Edit this item
2. Edit the Name field and click on Save button


Actual results:
Name field does not get updated

Expected results:
Name field should get updated

Additional info:
evm.log:
========
[----] I, [2015-09-22T08:10:17.069365 #2581:10a7994]  INFO -- : <AuditSuccess> MIQ(OpsRbac.rbac_tenant_edit) userid: [admin] - [My Company] Record updated (name changed to RedHat)


production.log:
==============
[----] I, [2015-09-22T08:11:46.619651 #2581:10a7994]  INFO -- : Started POST "/ops/rbac_tenant_edit/1?button=save&divisible=" for 127.0.0.1 at 2015-09-22 08:11:46 -0400
[----] I, [2015-09-22T08:11:46.621246 #2581:10a7994]  INFO -- : Processing by OpsController#rbac_tenant_edit as JS
[----] I, [2015-09-22T08:11:46.621335 #2581:10a7994]  INFO -- :   Parameters: {"name"=>"RedHat", "description"=>"Tenant for My Company", "divisible"=>"", "button"=>"save", "id"=>"1"}
[----] I, [2015-09-22T08:11:46.709692 #2581:10a7994]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.2ms)
[----] I, [2015-09-22T08:11:46.710024 #2581:10a7994]  INFO -- :   Rendered shared/_tree.html.haml (0.5ms)
[----] I, [2015-09-22T08:11:46.720290 #2581:10a7994]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2015-09-22T08:11:46.724929 #2581:10a7994]  INFO -- :   Rendered ops/_rbac_tenant_details.html.haml (4.9ms)
[----] I, [2015-09-22T08:11:46.725176 #2581:10a7994]  INFO -- :   Rendered ops/_rbac_details_tab.html.haml (5.2ms)
[----] I, [2015-09-22T08:11:46.728727 #2581:10a7994]  INFO -- : Completed 200 OK in 107ms (Views: 0.2ms | ActiveRecord: 22.2ms)
Comment 1 Ramesh A 2015-09-22 08:18 EDT
Created attachment 1075799 [details]
After changing the Name
Comment 6 CFME Bot 2015-10-19 18:25:11 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/da65ce60207c3b246511b2b351297b91c24c1143

commit da65ce60207c3b246511b2b351297b91c24c1143
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Oct 19 13:56:11 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Oct 19 16:32:08 2015 -0400

    Added "Use Configuration Settings" checkbox to root tenant edit.
    
    - Added "Use Configuration Settings" checkbox to root tenant edit screen, when the new checkbox is checked user will not be able to edit name of root tenant record and tenant name will be displayed from config in a disabled textbox. In case "Use Configuration Settings" is unchecked user will be able to change root tenant's name and it will be saved in the tenant record.
    - Added controller spec to verify changes.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265221

 .../controllers/ops/tenant_form_controller.js      | 28 ++++++++++++---------
 app/controllers/ops_controller/ops_rbac.rb         | 15 ++++++-----
 app/views/ops/_tenant_form.html.haml               |  9 +++++++
 spec/controllers/ops_controller/ops_rbac_spec.rb   | 29 ++++++++++++++++++++++
 4 files changed, 63 insertions(+), 18 deletions(-)
Comment 7 Ramesh A 2015-10-27 09:22:19 EDT
Good to go.  Verified and working fine in 5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 9 errata-xmlrpc 2015-12-08 08:32:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.